Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365270 - Strange permissions on /etc/ssh/ssh_config.d
Summary: Strange permissions on /etc/ssh/ssh_config.d
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssh
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2016-08-08 18:34 UTC by Richard W.M. Jones
Modified: 2016-08-30 18:19 UTC (History)
5 users (show)

Fixed In Version: openssh-7.3p1-1.1.fc26, openssh-7.3p1-1.1.fc25 openssh-7.3p1-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-30 18:19:36 UTC


Attachments (Terms of Use)

Description Richard W.M. Jones 2016-08-08 18:34:49 UTC
Description of problem:

This can't be right can it?

$ ls -ald /etc/ssh/ssh_config.d
drw-r--r--. 2 root root 4096 Aug  8 19:16 /etc/ssh/ssh_config.d

I think it should be 0755 instead of 0644, ie:

-%dir %attr(0644,root,root) %{_sysconfdir}/ssh/ssh_config.d/
+%dir %attr(0755,root,root) %{_sysconfdir}/ssh/ssh_config.d/

Version-Release number of selected component (if applicable):

openssh 7.3p1-1.fc25

Comment 1 Jakub Jelen 2016-08-09 06:35:12 UTC
Sorry, I missed these permissions. It should be fixed in the next builds.

Comment 2 Fedora Update System 2016-08-09 10:54:36 UTC
openssh-7.3p1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-06a24ce0fb

Comment 3 Richard W.M. Jones 2016-08-09 10:59:08 UTC
Confirmed this fixes supermin, thanks.

Comment 4 Fedora Update System 2016-08-10 02:50:41 UTC
openssh-7.3p1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-06a24ce0fb

Comment 5 Fedora Update System 2016-08-15 11:26:56 UTC
openssh-7.3p1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-06a24ce0fb

Comment 6 Fedora Update System 2016-08-15 18:28:19 UTC
openssh-7.3p1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-06a24ce0fb

Comment 7 Fedora Update System 2016-08-30 18:19:32 UTC
openssh-7.3p1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.